TIX-RMPATCH(8)

NAME
tix-rmpatch - remove files and directories per the rmpatch

SYNOPSIS
tix-rmpatch [--check] [--directory=directory] rmpatch

DESCRIPTION
tix-rmpatch recursively removes the files and directories per an rmpatch produced by tix-rmdiff(8). The rmpatch is checked for validity and absolute paths and paths containing ‘..’ components are rejected.

The options are as follows:

--check
    Check only the rmpatch is valid and don't remove any files or directories.

--directory=directory
    Remove inside directory instead of the working directory.

EXIT STATUS
tix-rmpatch will exit 0 on success and non-zero otherwise.

SEE ALSO
diff(1), patch(1), port(5), tix-execdiff(8), tix-execpatch(8), tix-rmdiff(8)

HISTORY
tix-rmpatch originally appeared in Sortix 0.8.